savannah-hackers
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Savannah-hackers] Possible bug in log_accum.


From: Richard Stallman
Subject: [Savannah-hackers] Possible bug in log_accum.
Date: Sat, 07 Jun 2003 06:21:38 -0400

Please see the last message in this digest.  It may indicate
a bug in the modified log_accum.

From: address@hidden
Subject: Emacs-diffs Digest, Vol 7, Issue 50
To: address@hidden
Reply-To: address@hidden
Sender: address@hidden
Date: Fri, 06 Jun 2003 06:55:35 -0400

Send Emacs-diffs mailing list submissions to
        address@hidden

To subscribe or unsubscribe via the World Wide Web, visit
        http://mail.gnu.org/mailman/listinfo/emacs-diffs
or, via email, send a message with subject or body 'help' to
        address@hidden

You can reach the person managing the list at
        address@hidden

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Emacs-diffs digest..."


Today's Topics:

   1. Changes to emacs/src/config.in (Dave Love)
   2. Changes to emacs/configure (Dave Love)
   3.  (Dave Love)


----------------------------------------------------------------------

Date: Fri, 06 Jun 2003 06:16:42 -0400
From: Dave Love <address@hidden>
To: address@hidden
Subject: [Emacs-diffs] Changes to emacs/src/config.in
Message-ID: <address@hidden>
Precedence: list
Reply-To: address@hidden
Message: 1

Index: emacs/src/config.in
diff -c emacs/src/config.in:1.186 emacs/src/config.in:1.187
*** emacs/src/config.in:1.186   Sat May 24 15:31:42 2003
--- emacs/src/config.in Fri Jun  6 06:16:42 2003
***************
*** 319,324 ****
--- 319,327 ----
  /* Define to 1 if you have the <linux/version.h> header file. */
  #undef HAVE_LINUX_VERSION_H
  
+ /* Define to 1 if you have the <locale.h> header file. */
+ #undef HAVE_LOCALE_H
+ 
  /* Define to 1 if you have the `logb' function. */
  #undef HAVE_LOGB
  
***************
*** 346,360 ****
--- 349,372 ----
  /* Define to 1 if you have the `mbsinit' function. */
  #undef HAVE_MBSINIT
  
+ /* Define to 1 if <wchar.h> declares mbstate_t. */
+ #undef HAVE_MBSTATE_T
+ 
  /* Define to 1 if you have the `memcmp' function. */
  #undef HAVE_MEMCMP
  
+ /* Define to 1 if you have the `memcpy' function. */
+ #undef HAVE_MEMCPY
+ 
  /* Define to 1 if you have the `memmove' function. */
  #undef HAVE_MEMMOVE
  
  /* Define to 1 if you have the <memory.h> header file. */
  #undef HAVE_MEMORY_H
  
+ /* Define to 1 if you have the `mempcpy' function. */
+ #undef HAVE_MEMPCPY
+ 
  /* Define to 1 if you have the `memset' function. */
  #undef HAVE_MEMSET
  
***************
*** 656,664 ****
     on `HAVE_STRUCT_NLIST_N_UN_N_NAME */
  #undef NLIST_NAME_UNION
  
- /* Define to 1 if you have <nlist.h>. */
- #undef NLIST_STRUCT
- 
  /* Define to 1 if you don't have struct exception in math.h. */
  #undef NO_MATHERR
  
--- 668,673 ----
***************
*** 771,776 ****
--- 780,788 ----
  /* Define to empty if `const' does not conform to ANSI C. */
  #undef const
  
+ /* Define to a type if <wchar.h> does not define. */
+ #undef mbstate_t
+ 
  /* Define to `int' if <sys/types.h> does not define. */
  #undef pid_t
  
***************
*** 1013,1032 ****
  #  endif
  #endif
  
! /* On Mac OS X, these macros are already defined in precompiled headers.  */
! #ifndef MAC_OSX
! /* avoid deprecated functions */
! #  ifdef HAVE_MEMCPY
! #    define bcopy(a,b,s) memcpy (b,a,s)
! #  endif
! #  ifdef HAVE_MEMSET
! #    define bzero(a,s) memset (a,0,s)
! #  endif
! #  ifdef HAVE_MEMCMP
! #    define BCMP memcmp
! #    define bcmp memcmp
! #  endif
! #endif /* MAC_OSX */
  
  #endif /* EMACS_CONFIG_H */
  
--- 1025,1039 ----
  #  endif
  #endif
  
! #ifndef HAVE_BCOPY
! #define bcopy(a,b,s) memcpy (b,a,s)
! #endif
! #ifndef HAVE_BZERO
! #define bzero(a,s) memset (a,0,s)
! #endif
! #ifndef HAVE_BCMP
! #define BCMP memcmp
! #endif
  
  #endif /* EMACS_CONFIG_H */
  


------------------------------

Date: Fri, 06 Jun 2003 06:16:42 -0400
From: Dave Love <address@hidden>
To: address@hidden
Subject: [Emacs-diffs] Changes to emacs/configure
Message-ID: <address@hidden>
Precedence: list
Reply-To: address@hidden
Message: 2

Index: emacs/configure
diff -c emacs/configure:1.110 emacs/configure:1.111
*** emacs/configure:1.110       Sat May 24 15:31:07 2003
--- emacs/configure     Fri Jun  6 06:16:42 2003
***************
*** 3397,3408 ****
    (exit $ac_status); }; }; then
    for ac_declaration in \
     ''\
-    '#include <stdlib.h>' \
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
     'extern "C" void exit (int);' \
!    'void exit (int);'
  do
    cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
--- 3397,3408 ----
    (exit $ac_status); }; }; then
    for ac_declaration in \
     ''\
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
     'extern "C" void exit (int);' \
!    'void exit (int);' \
!    '#include <stdlib.h>'
  do
    cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
***************
*** 5031,5040 ****
  
  
  
  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
    termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
!   sys/param.h sys/vlimit.h sys/resource.h
  do
  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  if eval "test \"\${$as_ac_Header+set}\" = set"; then
--- 5031,5041 ----
  
  
  
+ 
  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
    termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
!   sys/param.h sys/vlimit.h sys/resource.h locale.h
  do
  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  if eval "test \"\${$as_ac_Header+set}\" = set"; then
***************
*** 11270,11284 ****
  
  
  
  for ac_func in gethostname getdomainname dup2 \
  rename closedir mkdir rmdir sysinfo \
  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
! utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \
  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
  sendto recvfrom getsockopt setsockopt getsockname getpeername \
  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \
! memset memcmp memmove difftime
  do
  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
  echo "$as_me:$LINENO: checking for $ac_func" >&5
--- 11271,11288 ----
  
  
  
+ 
+ 
+ 
  for ac_func in gethostname getdomainname dup2 \
  rename closedir mkdir rmdir sysinfo \
  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
! utimes setrlimit setpgid getcwd getwd shutdown getaddrinfo \
  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
  sendto recvfrom getsockopt setsockopt getsockname getpeername \
  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \
! memset memcmp memmove difftime memcpy mempcpy mblen mbrlen
  do
  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
  echo "$as_me:$LINENO: checking for $ac_func" >&5
***************
*** 13896,13901 ****
--- 13900,14054 ----
  fi
  
  
+ 
+ for ac_func in strftime
+ do
+ as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+ echo "$as_me:$LINENO: checking for $ac_func" >&5
+ echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+ if eval "test \"\${$as_ac_var+set}\" = set"; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ /* System header to define __stub macros and hopefully few prototypes,
+     which can conflict with char $ac_func (); below.
+     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+     <limits.h> exists even on freestanding compilers.  */
+ #ifdef __STDC__
+ # include <limits.h>
+ #else
+ # include <assert.h>
+ #endif
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
+ {
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char $ac_func ();
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+ choke me
+ #else
+ char (*f) () = $ac_func;
+ #endif
+ #ifdef __cplusplus
+ }
+ #endif
+ 
+ int
+ main ()
+ {
+ return f != $ac_func;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   eval "$as_ac_var=yes"
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ eval "$as_ac_var=no"
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+ echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+ if test `eval echo '${'$as_ac_var'}'` = yes; then
+   cat >>confdefs.h <<_ACEOF
+ #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+ _ACEOF
+ 
+ else
+   # strftime is in -lintl on SCO UNIX.
+ echo "$as_me:$LINENO: checking for strftime in -lintl" >&5
+ echo $ECHO_N "checking for strftime in -lintl... $ECHO_C" >&6
+ if test "${ac_cv_lib_intl_strftime+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+ LIBS="-lintl  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char strftime ();
+ int
+ main ()
+ {
+ strftime ();
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_lib_intl_strftime=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_lib_intl_strftime=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ LIBS=$ac_check_lib_save_LIBS
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_lib_intl_strftime" >&5
+ echo "${ECHO_T}$ac_cv_lib_intl_strftime" >&6
+ if test $ac_cv_lib_intl_strftime = yes; then
+   cat >>confdefs.h <<\_ACEOF
+ #define HAVE_STRFTIME 1
+ _ACEOF
+ 
+ LIBS="-lintl $LIBS"
+ fi
+ 
+ fi
+ done
+ 
+ 
  # UNIX98 PTYs.
  
  for ac_func in grantpt
***************
*** 16532,16537 ****
--- 16685,16854 ----
    fi
  fi
  
+ # This defines (or not) HAVE_TZNAME and HAVE_TM_ZONE.
+ echo "$as_me:$LINENO: checking for struct tm.tm_zone" >&5
+ echo $ECHO_N "checking for struct tm.tm_zone... $ECHO_C" >&6
+ if test "${ac_cv_member_struct_tm_tm_zone+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <sys/types.h>
+ #include <$ac_cv_struct_tm>
+ 
+ 
+ int
+ main ()
+ {
+ static struct tm ac_aggr;
+ if (ac_aggr.tm_zone)
+ return 0;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_member_struct_tm_tm_zone=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <sys/types.h>
+ #include <$ac_cv_struct_tm>
+ 
+ 
+ int
+ main ()
+ {
+ static struct tm ac_aggr;
+ if (sizeof ac_aggr.tm_zone)
+ return 0;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_member_struct_tm_tm_zone=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_member_struct_tm_tm_zone=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_member_struct_tm_tm_zone" >&5
+ echo "${ECHO_T}$ac_cv_member_struct_tm_tm_zone" >&6
+ if test $ac_cv_member_struct_tm_tm_zone = yes; then
+ 
+ cat >>confdefs.h <<_ACEOF
+ #define HAVE_STRUCT_TM_TM_ZONE 1
+ _ACEOF
+ 
+ 
+ fi
+ 
+ if test "$ac_cv_member_struct_tm_tm_zone" = yes; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_TM_ZONE 1
+ _ACEOF
+ 
+ else
+   echo "$as_me:$LINENO: checking for tzname" >&5
+ echo $ECHO_N "checking for tzname... $ECHO_C" >&6
+ if test "${ac_cv_var_tzname+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <time.h>
+ #ifndef tzname /* For SGI.  */
+ extern char *tzname[]; /* RS6000 and others reject char **tzname.  */
+ #endif
+ 
+ int
+ main ()
+ {
+ atoi(*tzname);
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_var_tzname=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_var_tzname=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_var_tzname" >&5
+ echo "${ECHO_T}$ac_cv_var_tzname" >&6
+   if test $ac_cv_var_tzname = yes; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_TZNAME 1
+ _ACEOF
+ 
+   fi
+ fi
+ 
+ 
  if test "$ac_cv_func_gettimeofday" = yes; then
    echo "$as_me:$LINENO: checking for struct timezone" >&5
  echo $ECHO_N "checking for struct timezone... $ECHO_C" >&6
***************
*** 17641,17646 ****
--- 17958,18022 ----
  fi
  
  
+ echo "$as_me:$LINENO: checking for mbstate_t" >&5
+ echo $ECHO_N "checking for mbstate_t... $ECHO_C" >&6
+ if test "${ac_cv_type_mbstate_t+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ $ac_includes_default
+ #         include <wchar.h>
+ int
+ main ()
+ {
+ mbstate_t x; return sizeof x;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_type_mbstate_t=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_type_mbstate_t=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_type_mbstate_t" >&5
+ echo "${ECHO_T}$ac_cv_type_mbstate_t" >&6
+    if test $ac_cv_type_mbstate_t = yes; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_MBSTATE_T 1
+ _ACEOF
+ 
+    else
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define mbstate_t int
+ _ACEOF
+ 
+    fi
+ 
  echo "$as_me:$LINENO: checking for C restrict keyword" >&5
  echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6
  if test "${emacs_cv_c_restrict+set}" = set; then
***************
*** 17784,17936 ****
  _ACEOF
  
  fi
- 
- 
- for ac_header in nlist.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- else
-   # Is the header compilable?
- echo "$as_me:$LINENO: checking $ac_header usability" >&5
- echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-   (eval $ac_compile) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
-          { ac_try='test -s conftest.$ac_objext'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
-   ac_header_compiler=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
- ac_header_compiler=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- 
- # Is the header present?
- echo "$as_me:$LINENO: checking $ac_header presence" >&5
- echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- #include <$ac_header>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-   ac_status=$?
-   grep -v '^ *+' conftest.er1 >conftest.err
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } >/dev/null; then
-   if test -s conftest.err; then
-     ac_cpp_err=$ac_c_preproc_warn_flag
-   else
-     ac_cpp_err=
-   fi
- else
-   ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
-   ac_header_preproc=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
-   ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- 
- # So?  What about this header?
- case $ac_header_compiler:$ac_header_preproc in
-   yes:no )
-     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, 
rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
-     (
-       cat <<\_ASBOX
- ## ------------------------------------ ##
- ## Report this to address@hidden ##
- ## ------------------------------------ ##
- _ASBOX
-     ) |
-       sed "s/^/$as_me: WARNING:     /" >&2
-     ;;
-   no:yes )
-     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be 
compiled" >&5
- echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing 
prerequisite headers?" >&5
- echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" 
>&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
-     (
-       cat <<\_ASBOX
- ## ------------------------------------ ##
- ## Report this to address@hidden ##
- ## ------------------------------------ ##
- _ASBOX
-     ) |
-       sed "s/^/$as_me: WARNING:     /" >&2
-     ;;
- esac
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-   eval "$as_ac_Header=$ac_header_preproc"
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- 
- fi
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
-   cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- 
- cat >>confdefs.h <<\_ACEOF
- #define NLIST_STRUCT 1
- _ACEOF
- 
- fi
- 
- done
- 
  
  
  
--- 18160,18165 ----


------------------------------

Date: Fri, 06 Jun 2003 06:17:38 -0400
From: Dave Love <address@hidden>
To: address@hidden
Subject: [Emacs-diffs] 
Message-ID: <address@hidden>
Precedence: list
Reply-To: address@hidden
Message: 3



------------------------------

_______________________________________________
Emacs-diffs mailing list
address@hidden
http://mail.gnu.org/mailman/listinfo/emacs-diffs


End of Emacs-diffs Digest, Vol 7, Issue 50
******************************************





reply via email to

[Prev in Thread] Current Thread [Next in Thread]